Subject: bug#61449: 30.0.50; diff-hl-dired: Consider adding a cookie to diff-hl-dired overlay

From: Ramesh Nedunchezian <[email-masked]>
Date: Mon, 13 Feb 2023 17:02:19 +0530

On 12/02/23 18:42, Dmitry Gutov wrote:
> On 12/02/2023 07:32, Ramesh Nedunchezian wrote:
>> 1. `diff-hl-dired-mode` kicks of an async process, and I wanted some
>>     visual indication that the async process has finished, and I am
>>     seeing ALL OF the unknown files.  I would have appreciated an echo
>>     area message, or a mode line indicator that the process has
>>     finished.
>
> I was worried it could be too distracting, to show that every time one enters a directory. Perhaps a user option could be added.

>
>> 2. `C-x v d` recursively lists all "unregistered" files, but
>>     `diff-hl-dired-mode` lists only the entries in current directory.
>>
>>      I would have appreciated an option to do a recursive listing of
>>     files ....
>
> I'm pretty sure the unregistered files are mentioned recursively. But the indicator is put on the containing directory. How else would we do that?

`vc-dired` does what I want, but the annotation added by `vc-dired` `unregistered` etc were too distracting. 

If you look at the screenshots  I shared, you will see that the file names are fontified based on their vc state.

There is also a command to mark files by their state, and I can bulk delete, move or commit the files.

So, task I had is already accomplished with recipes I shared ... and I felt that enhancing `diff-hl-dired` could be generally useful.